
	project "MyGraphicsEngine"
  kind "StaticLib"

  buildmessage "Building MyGraphicsEngine ..."
  
  includedirs {
    "../libs/assimp/include",
    "../libs/glad/include",
    "../libs/glfw/include",
    "../libs/tinygltf",
    "../libs/glew/include",
    "../libs/glm",
    "../libs/ImGui",
    
    }
  
  
  libdirs{
    "../libs/assimp/lib/Debug",
    "../libs/glfw/build/src/Debug",
    "../libs/ImGui"
  }	

  links {
    "assimp-vc143-mtd",
    "glfw3",
  }

  files {
    "../libs/ImGui/*.cpp",
    "../libs/ImGui/backends/imgui_impl_glfw.cpp",
    "../libs/ImGui/backends/imgui_impl_Opengl3.cpp",
    "../libs/glad/src/glad.c",
    "./*.cpp",
    "./*.h",
    "./**/*.cpp",
    "./**/*.shader",
    "./**/*.h"
  
  }

  
  -- NOTE: make these copy instructions more flexible
  ok, err = os.copyfile("shaders/fragment.shader", "../build/SandboxApplication/Debug/test.fs")
  if err then error("Copy fragment shader source failed!") end

  ok, err = os.copyfile("shaders/vertex.shader", "../build/SandboxApplication/Debug/test.vs")
  if err then error("Copy vertex shader source failed!") end
